package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag920;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT920AbsCreator;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag34FofDebitCreator extends AbsTagCreate {

    private MT920AbsCreator mt920AbsCreator;

    public Tag34FofDebitCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt920AbsCreator= (MT920AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag34FValue=mt920AbsCreator.getCreditFloorLimitIndicator();
        mt920AbsCreator.set("34F",tag34FValue);
    }
}
